get() downloads have inconsistent mime types and filenames

2012-10-08 20:40 - Matthew Jones

Status: Closed Start date: 2012-10-08

Priority: High Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

The MN specifications for MN_Read.get() should be more specific about how MN implementations should set Content-type and

Content-disposition headers so that clients get reasonable MIME-types and filenames for objects that are downloaded.  The way it

currently stands, MN's determine how to set these headers themselves.  We also need a standard mapping between ObjectFormat

types and mime types and file extensions.

Subtasks:

Task # 3310: Create object format/ mime type / file extension mapping Closed

Task # 3311: Specify how MN implementations should set Content-type for MN_Read.get() Closed

Task # 3312: Specify how MN implementations should set Content-disposition for MN_Read.... Closed

Task # 3317: Add mime type and extension to ObjectFormat Closed

Task # 3365: create Java ObjectFormatInfo class to provide mime lookup Closed

Task # 3366: create Python ObjectFormatInfo class to provide mime lookup Closed

Related issues:

Related to Infrastructure - Bug #6391: Science metadata files with different ... Closed 2014-11-04 2015-01-06

History

#1 - 2012-10-11 15:35 - Dave Vieglais

- Due date changed from 2012-10-08 to 2012-10-27

- Target version changed from Sprint-2012.39-Block.5.4 to Sprint-2012.41-Block.6.1

#2 - 2012-10-24 17:39 - Chris Jones

- Due date changed from 2012-10-27 to 2012-11-10

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

#3 - 2012-12-12 18:33 - Chris Jones

- Due date changed from 2012-11-10 to 2013-01-19

- Target version changed from Sprint-2012.44-Block.6.2 to 2013.2-Block.1.1

#4 - 2013-03-01 19:09 - Chris Jones

- Due date changed from 2013-01-19 to 2013-03-30

- Target version changed from 2013.2-Block.1.1 to 2013.12-Block.2.2

#5 - 2013-08-02 17:20 - Dave Vieglais

- Target version changed from 2013.12-Block.2.2 to 2013.35-Block.5.1

- Due date changed from 2013-03-30 to 2013-09-07

#6 - 2014-01-06 18:04 - Chris Jones

- Target version changed from 2013.35-Block.5.1 to 2014.6-Block.1.3

- Due date changed from 2013-09-07 to 2014-02-15
#7 - 2014-03-14 18:47 - Roger Dahl

- Due date changed from 2014-02-15 to 2014-04-12

- Target version changed from 2014.6-Block.1.3 to 2014.14-Block.2.3

#8 - 2014-09-24 18:28 - Dave Vieglais

- Due date changed from 2014-04-12 to 2014-09-24

- Target version changed from 2014.14-Block.2.3 to CCI-1.4.2

#9 - 2014-09-25 16:47 - Dave Vieglais

- Due date changed from 2014-09-24 to 2014-09-25

- Target version changed from CCI-1.4.2 to CCI-1.5.0

#10 - 2014-10-02 19:41 - Dave Vieglais

- Due date changed from 2014-09-25 to 2014-10-02

- Target version changed from CCI-1.5.0 to CCI-2.0.0

#11 - 2015-01-06 19:44 - Dave Vieglais

- Due date changed from 2014-10-02 to 2015-01-06

- Assignee changed from Matthew Jones to Dave Vieglais

#12 - 2015-10-16 13:22 - Dave Vieglais

- % Done changed from 0 to 30

- Status changed from New to In Progress

#13 - 2016-03-25 01:23 - Dave Vieglais

- % Done changed from 30 to 100

- Status changed from In Progress to Closed
